<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__uart__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_uart_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__uart__t_1adb1e03e9a708b3dd6aed68e6581a463a" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *</type>
        <definition>CySCB_Type* cyhal_uart_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="729" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="729" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a8500bcc4df32b74911f7f2c7e620e609" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_uart_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="730" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="730" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1aa211e6d348346ecb7391dfc07df98454" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_uart_t::pin_rx</definition>
        <argsstring />
        <name>pin_rx</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="731" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="731" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a934295a171024345bf34fb06d79572dc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_uart_t::pin_tx</definition>
        <argsstring />
        <name>pin_tx</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="732" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="732" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a8b5b034b002f4e0f8070705fe4e79cc0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_uart_t::pin_cts</definition>
        <argsstring />
        <name>pin_cts</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="733" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="733" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a7620d3f9a57ea1299c92d34229d126c3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_uart_t::pin_rts</definition>
        <argsstring />
        <name>pin_rts</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="734" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="734" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a4628cb953d5faf964d15c6f4cbb0257b" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_uart_t::is_user_clock</definition>
        <argsstring />
        <name>is_user_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="735" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="735" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1aa8af046d01fd941ec033e42270fabe76" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_uart_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="736" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="736" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a697fcf1b077b74a133145af1c28ac2f5" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_uart_context_t</type>
        <definition>cy_stc_scb_uart_context_t cyhal_uart_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="737" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="737" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1ac3dcfd1fa7e11f70bab10f0576b7c290" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_uart_config_t</type>
        <definition>cy_stc_scb_uart_config_t cyhal_uart_t::config</definition>
        <argsstring />
        <name>config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="738" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="738" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a1f4bed812246890c7edf9827ab4a358d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="739" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="739" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a008b02a1e8dacd618e91a354bde6e2e8" kind="variable" mutable="no" prot="public" static="no">
        <type>en_hsiom_sel_t</type>
        <definition>en_hsiom_sel_t cyhal_uart_t::saved_tx_hsiom</definition>
        <argsstring />
        <name>saved_tx_hsiom</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="740" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="740" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1a5f630a9fe03003133e35606897f92c0e" kind="variable" mutable="no" prot="public" static="no">
        <type>en_hsiom_sel_t</type>
        <definition>en_hsiom_sel_t cyhal_uart_t::saved_rts_hsiom</definition>
        <argsstring />
        <name>saved_rts_hsiom</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="741" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="741" />
      </memberdef>
      <memberdef id="structcyhal__uart__t_1af4a8e8f055a31f3ed62aec9a50bc7fec" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_uart_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="742" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="742" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UART object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="172">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="171">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
      <node id="170">
        <label>cyhal_uart_t</label>
        <link refid="structcyhal__uart__t" />
        <childnode refid="171" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="172" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="746" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="727" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="727" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__uart__t_1adb1e03e9a708b3dd6aed68e6581a463a" virt="non-virtual"><scope>cyhal_uart_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__uart__t_1af4a8e8f055a31f3ed62aec9a50bc7fec" virt="non-virtual"><scope>cyhal_uart_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__uart__t_1aa8af046d01fd941ec033e42270fabe76" virt="non-virtual"><scope>cyhal_uart_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__uart__t_1ac3dcfd1fa7e11f70bab10f0576b7c290" virt="non-virtual"><scope>cyhal_uart_t</scope><name>config</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a697fcf1b077b74a133145af1c28ac2f5" virt="non-virtual"><scope>cyhal_uart_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a1f4bed812246890c7edf9827ab4a358d" virt="non-virtual"><scope>cyhal_uart_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a4628cb953d5faf964d15c6f4cbb0257b" virt="non-virtual"><scope>cyhal_uart_t</scope><name>is_user_clock</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a8b5b034b002f4e0f8070705fe4e79cc0" virt="non-virtual"><scope>cyhal_uart_t</scope><name>pin_cts</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a7620d3f9a57ea1299c92d34229d126c3" virt="non-virtual"><scope>cyhal_uart_t</scope><name>pin_rts</name></member>
      <member prot="public" refid="structcyhal__uart__t_1aa211e6d348346ecb7391dfc07df98454" virt="non-virtual"><scope>cyhal_uart_t</scope><name>pin_rx</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a934295a171024345bf34fb06d79572dc" virt="non-virtual"><scope>cyhal_uart_t</scope><name>pin_tx</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a8500bcc4df32b74911f7f2c7e620e609" virt="non-virtual"><scope>cyhal_uart_t</scope><name>resource</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a5f630a9fe03003133e35606897f92c0e" virt="non-virtual"><scope>cyhal_uart_t</scope><name>saved_rts_hsiom</name></member>
      <member prot="public" refid="structcyhal__uart__t_1a008b02a1e8dacd618e91a354bde6e2e8" virt="non-virtual"><scope>cyhal_uart_t</scope><name>saved_tx_hsiom</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>